parse(Ws) :-
    parse([0],Ws).

parse([Q|Qs],[W|Ws]) :-
    action(Q,W,reduce(A --> Alpha)),
    !,length(Alpha,N),
    length(Remove,N),
    append(Remove,[R|Rest],[Q|Qs]),
    goto(R,A,P),
    parse([P,R|Rest],[W|Ws]).
parse([Q|Qs],[W|Ws]) :-
    action(Q,W,shift(P)),
    !,parse([P,Q|Qs],Ws).
parse([Q|Qs],[W|Ws]) :-
    action(Q,W,error),
    !, write('\n reject').
parse([Q|Qs],[]) :-
    action(Q,end,accept),
    write('\n accept').
