:- op(1100,xfx,'--->').

parse(Atoms) :-
        start_symbol(S),
        parse(S,[],Parse,Atoms,[]).

parse([W],Stapel,Parse,I,J) :-    % Terminal in
        !, I = [W|J],             % einer Regel
        Parse = [W|Stapel].
parse((B,Bs),Stapel,Parse,I,J) :- % CFG-Regel
        !, parse(B,Stapel,BStapel,I,K),
        parse(Bs,BStapel,Parse,K,J).

parse(A,Stapel,Parse,I,J) :-
        (A ---> B),
        parse(B,[(A ---> B)|Stapel],Parse,I,J).
parse(A,Stapel,Parse,I,J) :-
        I = [W|J],
        word(W,A),
        Parse = [W|Stapel]. 

